# Package com.plannaplan.security.cas

All calsses realted to authorizing user with CAS system.

Since:
  1.0

Interface Summary
Interface | Description
--- | ---
CasValidator | We can authorize in different contexts.

Class Summary
Class | Description
--- | ---
CasUserIdentity | Model to keep data from Cas response.
CustomUAMCasValidator | Cas Validator for UAM with domain registered for email and usosid as a repsonse
DefaultUAMCasValidator | Cas Validator for localhost and not registered dopmains

Exception Summary
Exception | Description
--- | ---
CasValidationExcepiton | Exception to throw when cas didn't validate provided ticket